"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.pjr = void 0;
const extensions_1 = require("../extensions");
const registerProviders_1 = require("../initialization/registerProviders");
const commands_1 = require("./commands");
exports.pjr = new extensions_1.Command()
    .description("Projector CLI")
    .name("pjr")
    .initialize(() => {
    registerProviders_1.registerProviders();
})
    .asciiArt("PJR")
    .passCommandToAction(false)
    .addCommand(commands_1.agile)
    .addCommand(commands_1.links)
    .addCommand(commands_1.playbook)
    .addCommand(commands_1.project)
    .printHelp();
