import { ProjectCreationOptions } from "../../commands/commands/project/commands/init/projectInit";
import { ProjectorConfig, SharedOptions } from "../../models";
/**
 * Class dealing with the Projector configuration.
 */
export declare class ConfigService {
    static createInitialConfig(options: ProjectCreationOptions): ProjectorConfig;
    static getExistingConfig(options?: SharedOptions): ProjectorConfig;
    private static createAgileConfig;
    private static createGithubConfig;
    private static getProviderOptions;
}
