import { RepoItem, RepoService } from "../../models";
export declare abstract class BaseRepoService implements RepoService {
    downloadRepoItem(owner: string, repo: string, path?: string, branch?: string, outputPath?: string): Promise<void>;
    listRepoItems(owner: string, repo: string, path?: string, branch?: string): Promise<RepoItem[]>;
    abstract getRepoItem: (owner: string, repo: string, path?: string, includeContent?: boolean, branch?: string) => Promise<RepoItem>;
    abstract latestCommit: (owner: string, repo: string, branch: string) => Promise<string>;
    private writeRepoItem;
}
