import { GitHubConfig, RepoItem } from "../../../models";
import { BaseRepoService } from "../baseRepoService";
export interface GitHubRepoServiceProviderOptions {
    personalAccessToken: string;
}
export declare class GitHubRepoService extends BaseRepoService {
    private github;
    constructor(config?: GitHubConfig);
    getRepoItem: (owner: string, repo: string, path?: string, includeContent?: boolean | undefined, branch?: string | undefined) => Promise<RepoItem>;
    latestCommit: (owner: string, repo: string, branch: string) => Promise<string>;
}
