import { Command as CommanderCommand } from "commander";
import { ProjectorConfig, ServiceCollection } from "../models";
import { Link } from "../models/general/link";
export declare type ActionHandler = (serviceCollection: ServiceCollection, options: any, config: ProjectorConfig) => void | Promise<void>;
export declare class Command extends CommanderCommand {
    private actions;
    constructor();
    initialize(initializeAction: () => void): Command;
    addAction(action: ActionHandler): Command;
    printHelp(): Command;
    asciiArt(message: string): Command;
    addLinkCommands(links: Link[]): Command;
}
