import { BacklogItemTemplate, PlaybookService, RepoItem, RepoService } from "../../models";
export declare class CsePlaybookService implements PlaybookService {
    private repoService;
    private playbookOwnerName;
    private playbookRepoName;
    constructor(repoService: RepoService);
    getTemplates(): Promise<BacklogItemTemplate[]>;
    getRepoItem(pathInRepo: string, includeContent?: boolean): Promise<RepoItem>;
    downloadRepoItem(pathInRepo: string, localRelativePath: string): Promise<void>;
}
