"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DateUtils = void 0;
const constants_1 = require("../constants");
class DateUtils {
    static toSimpleDateString(date) {
        if (!date) {
            return "";
        }
        return date.toLocaleDateString(undefined, {
            weekday: "short",
            year: "numeric",
            month: "short",
            day: "numeric",
        });
    }
    static addDays(date, days) {
        return new Date(date.getTime() + constants_1.NumberConstants.millisecondsInADay * days);
    }
}
exports.DateUtils = DateUtils;
